Debian Bug report logs - #510756
system-config-printer: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: system-config-printer; Maintainer for system-config-printer is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for system-config-printer is src:system-config-printer.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 17:27:04 UTC

Severity: normal

Found in version system-config-printer/1.0.0-3

Fixed in version system-config-printer/1.0.0-5

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#510756; Package system-config-printer. (Sun, 04 Jan 2009 17:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Otavio Salvador <otavio@debian.org>. (Sun, 04 Jan 2009 17:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: system-config-printer: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 17:23:53 +0000
[Message part 1 (text/plain, inline)]
Package: system-config-printer
Version: 1.0.0-3
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

system-config-printer's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, it seems this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see
http://bugzilla.gnome.org/show_bug.cgi?id=563730 for the equivalent
changes to NetworkManager).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 01 Apr 2009 11:39:04 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Wed, 01 Apr 2009 11:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 510756-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 510756-close@bugs.debian.org
Subject: Bug#510756: fixed in system-config-printer 1.0.0-5
Date: Wed, 01 Apr 2009 11:32:04 +0000
Source: system-config-printer
Source-Version: 1.0.0-5

We believe that the bug you reported is fixed in the latest version of
system-config-printer, which is due to be installed in the Debian FTP archive:

python-cupsutils_1.0.0-5_all.deb
  to pool/main/s/system-config-printer/python-cupsutils_1.0.0-5_all.deb
system-config-printer_1.0.0-5.diff.gz
  to pool/main/s/system-config-printer/system-config-printer_1.0.0-5.diff.gz
system-config-printer_1.0.0-5.dsc
  to pool/main/s/system-config-printer/system-config-printer_1.0.0-5.dsc
system-config-printer_1.0.0-5_all.deb
  to pool/main/s/system-config-printer/system-config-printer_1.0.0-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510756@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated system-config-printer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Apr 2009 13:20:11 +0200
Source: system-config-printer
Binary: system-config-printer python-cupsutils
Architecture: source all
Version: 1.0.0-5
Distribution: unstable
Urgency: low
Maintainer: Otavio Salvador <otavio@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 python-cupsutils - Python utility modules around the CUPS printing system
 system-config-printer - graphical interface to configure the printing system
Closes: 510756 519217
Changes: 
 system-config-printer (1.0.0-5) unstable; urgency=low
 .
   [ Loic Minier ]
   * Don't purge /etc/xdg/autostart/redhat-print-applet.desktop during first
     installation.
 .
   [ Josselin Mouette ]
   * 19_dbus_interfaces.patch: remove redundant send_interface lines in
     the dbus configuration file. Closes: #510756.
   * 02_translations.patch: new Romanian translation from Eddy Petrișor.
     Closes: #519217.
   * Standards version is 3.8.1.
Checksums-Sha1: 
 0108188d9dba83ea1b0bf77ab762e54d733cf7a6 1357 system-config-printer_1.0.0-5.dsc
 20e93a7785591ed293da5f8f16ac189ab4082886 146528 system-config-printer_1.0.0-5.diff.gz
 70ceea4b55287575d2471fa53775702b8b8ec64e 656566 system-config-printer_1.0.0-5_all.deb
 3b570997e2a79078c28bc2fc2fa6aedf1d9a8ffa 62090 python-cupsutils_1.0.0-5_all.deb
Checksums-Sha256: 
 8c584ca7f95e32e364b7af25d123bfecfb42b539e1fe018ee53ae3cc4795c215 1357 system-config-printer_1.0.0-5.dsc
 0f89107e5814b5b1d9a8f287d7d24209274dc0db51b39e926b30e8dfd9fb990f 146528 system-config-printer_1.0.0-5.diff.gz
 f57f84f0ce07748d894b1c24c37e3969be2324b882050b63fbfc7d3cf7c788fe 656566 system-config-printer_1.0.0-5_all.deb
 bdb27c20ba31f2fc353f025f66ae33b5db049f3328f542b270caf732dca3eda9 62090 python-cupsutils_1.0.0-5_all.deb
Files: 
 44f3241a267a2be68bac6bbdc6fff9df 1357 python optional system-config-printer_1.0.0-5.dsc
 ed8794a858e07ee1fc21ef06b2181f3a 146528 python optional system-config-printer_1.0.0-5.diff.gz
 ed1531629b5192078652e01adc0cb41b 656566 python optional system-config-printer_1.0.0-5_all.deb
 c99dd512a875a976bd3781fbd189458b 62090 python optional python-cupsutils_1.0.0-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ00/brSla4ddfhTMRArEeAKCS0wijVze/+2Pl1Jzkr0SEQVDIHgCcCvY9
Ax0BCa6rC2yWCSKMMJcmfTk=
=gB3F
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 May 2009 07:32:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:13:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.